.TH squareroot_link "December 2003" "S. Favaro" "Scilab Function"
.so ../sci.an
.SH NAME
squareroot_link -  square root link function
.SH CALLING SEQUENCE
.nf
[output] = squareroot(input1,input2,request)
.fi
.SH PARAMETERS
.TP 
input1    :  
input parameter required to calculate what I need (or rather to calculate the 'request' input parameter); input1 will be expected value 'mu' if I need to calculate linear predictor 'eta' or if I need to calculate the derivative d(eta)/d(mu); input1 will be linear predictor 'eta' if I need to calculate expected value 'mu'.
.TP 
input2    :  
this input parameter is the sample size; input2 is only used for Binomial models and in the other models it's fixed to 1.
.TP
request    :
this input parameter is a text string and it represents what I need to calculate or rather the text string 'mu' if I need to calculate the expected value, the text string 'eta' if I need to calculate the linear predictor or the text string 'etamu' if I need to calculate the derivative d(eta)/d(mu).
.TP
output    :
value for the 'request' input parameter.
.SH DESCRIPTION
This function returns the value for the 'request' input parameter using input1, input2 and the square root link.
.SH AUTHOR
Created for Scilab by S. Favaro (Email: sfavaro@katamail.com) 20-12-03.

