function [output]=logit_link(input1,input2,request)

if (request=='mu')
   eta=input1;
else
   mu=input1;
end
if (request=='eta')
   mu=mu-(mu>input2-0.0001)*0.0001;
   mu=mu+(mu<0.0001)*0.0001;
   output=log( mu./(input2-mu));
end
if (request=='mu')
   output=input2.*exp(eta)./(1+exp(eta)); 
   nan=isnan(output)|(output>1000);
   if or(nan)
      output(nan)=1000*ones(size(output(nan)));
   end
end
if (request=='etamu')
   mu=mu-(mu>input2-0.0001)*0.0001;
   mu=mu+(mu<0.0001)*0.0001;
   output=input2./(mu .*(input2-mu));
end
