.TH erfinverse "December 2003" "S. Favaro" "Scilab Function"
.so ../sci.an
.SH NAME
erfinverse -  inverse error function
.SH CALLING SEQUENCE
.nf
[Z] = erfinverse(Y)
.fi
.SH PARAMETERS
.TP 
Y    : 
input real number, real vector or real matrix.
.TP
Z    :
output real number, real vector or real matrix for inverse error function.
.SH DESCRIPTION
This function is the inverse error function for each element of input parameter Y. The inverse error function satisfies [Y] = erf(Z).
.SH EXAMPLES
.nf
Z1=erfinverse(0.5)

Z1=0.4769363

Z2=erfinverse([0.5 0.5 0.5;
               0.5 0.5 0.5])

Z2=[0.4769363,0.4769363,0.4769363;
    0.4769363,0.4769363,0.4769363]
.fi
.SH AUTHOR
Created for Scilab by S. Favaro (Email: sfavaro@katamail.com) 20-12-03.
